Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88367 - sensors-detect complains about missing dmidecode
Summary: sensors-detect complains about missing dmidecode
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lm_sensors
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 14:18 UTC by Barry K. Nathan
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-27 15:35:44 UTC


Attachments (Terms of Use)

Description Barry K. Nathan 2003-04-09 14:18:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030401

Description of problem:
When I run sensors-detect, it complains that dmidecode is missing and that,
without it, it can't tell whether my machine is an IBM that could self-destruct.

Version-Release number of selected component (if applicable):
lm_sensors-2.6.5-5

How reproducible:
Always

Steps to Reproduce:
1. Run sensors-detect without dmidecode installed.

Actual Results:  This warning appeared, among other sensors-detect output:
---cut here---
 Could not find dmidecode, which should have been installed with lm_sensors.
 Runing dmidecode would help us determining your system vendor, which allows
 safer operations. Please provide one of the following:
  /usr/local/sbin/dmidecode
  /usr/sbin/dmidecode
You can still go on, but you are encouraged to fix the problem first.
 IF THIS IS AN IBM THINKPAD, PRESS CTRL-C NOW!
 IBM Thinkpads have a severely broken i2c/SMBus implementation, just scanning
 the bus will break your Thinkpad forever!
 If this is a non-Thinkpad IBM, we still suggest you press CTRL+C. We have
 had users reporting system breakage on other IBM systems as well.
---cut here---

Expected Results:  I wasn't expecting to be told that another piece of software
(dmidecode) should have been installed already. In that case, shouldn't the
lm_sensors package have a dependency to enforce this?

Additional info:

Comment 1 Phil Knirsch 2003-06-27 15:35:44 UTC
lm_sensors now requires kernel-utils which contains the latest and greates
dmidecode.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.